<?php if($customFields): ?>
    <h5 class="col-12 pb-4"><?php echo trans('lang.main_fields'); ?></h5>
<?php endif; ?>
<div class="d-flex flex-column col-sm-12">
    <!-- Title Field -->
    <div class="form-group align-items-baseline d-flex flex-column">
        <?php echo Form::label('title', trans("lang.custom_page_title"), ['class' => 'col-md-3 control-label mx-1']); ?>

        <div class="col-md-4">
            <?php echo Form::text('title', null,  ['class' => 'form-control','placeholder'=>  trans("lang.custom_page_title_placeholder")]); ?>

            <div class="form-text text-muted">
                <?php echo e(trans("lang.custom_page_title_help")); ?>

            </div>
        </div>
    </div>

    <!-- Content Field -->
    <div class="form-group align-items-baseline d-flex flex-column">
        <?php echo Form::label('content', trans("lang.custom_page_content"), ['class' => 'col-md-3 control-label mx-1']); ?>

        <div class="col-12">
            <?php echo Form::textarea('content', null, ['class' => 'form-control','placeholder'=>
             trans("lang.custom_page_content_placeholder")  ]); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.custom_page_content_help")); ?></div>
        </div>
    </div>

</div>
<?php if($customFields): ?>
    <div class="clearfix"></div>
    <div class="col-12 custom-field-container">
        <h5 class="col-12 pb-4"><?php echo trans('lang.custom_field_plural'); ?></h5>
        <?php echo $customFields; ?>

    </div>
<?php endif; ?>
<!-- Submit Field -->
<div class="form-group col-12 d-flex flex-column flex-md-row justify-content-md-end justify-content-sm-center border-top pt-4">
    <div class="d-flex flex-row justify-content-between align-items-center">
        <?php echo Form::label('published', trans("lang.custom_page_published"),['class' => 'control-label my-0 mx-3']); ?> <?php echo Form::hidden('published', 0, ['id'=>"hidden_published"]); ?>

        <span class="icheck-<?php echo e(setting('theme_color')); ?>">
            <?php echo Form::checkbox('published', 1, null); ?> <label for="published"></label> </span>
    </div>
    <button type="submit" class="btn bg-<?php echo e(setting('theme_color')); ?> mx-md-3 my-lg-0 my-xl-0 my-md-0 my-2">
        <i class="fas fa-save"></i> <?php echo e(trans('lang.save')); ?> <?php echo e(trans('lang.custom_page')); ?></button>
    <a href="<?php echo route('customPages.index'); ?>" class="btn btn-default"><i class="fas fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>
<?php /**PATH /home/business/public_html/resources/views/settings/custom_pages/fields.blade.php ENDPATH**/ ?>