<?php if($customFields): ?>
    <h5 class="col-12 pb-4"><?php echo trans('lang.main_fields'); ?></h5>
<?php endif; ?>
<div class="d-flex flex-column col-sm-12 col-md-6">
    <!-- Image Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('image', trans("lang.clinic_image"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <div style="width: 100%" class="dropzone image" id="image" data-field="image">
            </div>
            <a href="#loadMediaModal" data-dropzone="image" data-toggle="modal" data-target="#mediaModal" class="btn btn-outline-<?php echo e(setting('theme_color','primary')); ?> btn-sm float-right mt-1"><?php echo e(trans('lang.media_select')); ?></a>
            <div class="form-text text-muted w-50">
                <?php echo e(trans("lang.clinic_image_help")); ?>

            </div>
        </div>
    </div>
    <?php $__env->startPrepend('scripts'); ?>
        <script type="text/javascript">
            var var16105363151854745906ble = [];
            <?php if(isset($clinic) && $clinic->hasMedia('image')): ?>
            <?php $__currentLoopData = $clinic->getMedia('image'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $media): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            var16105363151854745906ble.push({
                name: "<?php echo $media->name; ?>",
                size: "<?php echo $media->size; ?>",
                type: "<?php echo $media->mime_type; ?>",
                uuid: "<?php echo $media->getCustomProperty('uuid');; ?>",
                thumb: "<?php echo $media->getUrl('thumb');; ?>",
                collection_name: "<?php echo $media->collection_name; ?>"
            });
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            var dz_var16105363151854745906ble = $(".dropzone.image").dropzone({
                url: "<?php echo url('uploads/store'); ?>",
                addRemoveLinks: true,
                maxFiles: 5 - var16105363151854745906ble.length,
                init: function () {
                    <?php if(isset($clinic) && $clinic->hasMedia('image')): ?>
                    var16105363151854745906ble.forEach(media => {
                        dzInit(this, media, media.thumb);
                    });
                    <?php endif; ?>
                },
                accept: function (file, done) {
                    dzAccept(file, done, this.element, "<?php echo config('medialibrary.icons_folder'); ?>");
                },
                sending: function (file, xhr, formData) {
                    dzSendingMultiple(this, file, formData, '<?php echo csrf_token(); ?>');
                },
                complete: function (file) {
                    dzCompleteMultiple(this, file);
                    dz_var16105363151854745906ble[0].mockFile = file;
                },
                removedfile: function (file) {
                    dzRemoveFileMultiple(
                        file, var16105363151854745906ble, '<?php echo url("clinics/remove-media"); ?>',
                        'image', '<?php echo isset($clinic) ? $clinic->id : 0; ?>', '<?php echo url("uploads/clear"); ?>', '<?php echo csrf_token(); ?>'
                    );
                }
            });
            dz_var16105363151854745906ble[0].mockFile = var16105363151854745906ble;
            dropzoneFields['image'] = dz_var16105363151854745906ble;
        </script>
<?php $__env->stopPrepend(); ?>

<!-- Name Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('name', trans("lang.clinic_name"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::text('name', null,  ['class' => 'form-control','placeholder'=>  trans("lang.clinic_name_placeholder")]); ?>

            <div class="form-text text-muted">
                <?php echo e(trans("lang.clinic_name_help")); ?>

            </div>
        </div>
    </div>

    <!-- Clinic Level Id Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('clinic_level_id', trans("lang.clinic_level_id"),['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::select('clinic_level_id', $clinicLevel, null, ['class' => 'select2 form-control']); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.clinic_level_id_help")); ?></div>
        </div>
    </div>

    <!-- Users Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('users[]', trans("lang.clinic_users"),['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::select('users[]', $user, $usersSelected, ['class' => 'select2 form-control' , 'multiple'=>'multiple']); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.clinic_users_help")); ?></div>
        </div>
    </div>
    <!-- Description Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('description', trans("lang.clinic_description"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::textarea('description', null, ['class' => 'form-control','placeholder'=>
             trans("lang.clinic_description_placeholder")  ]); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.clinic_description_help")); ?></div>
        </div>
    </div>

</div>
<div class="d-flex flex-column col-sm-12 col-md-6">

    <!-- Phone Number Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('phone_number', trans("lang.clinic_phone_number"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::text('phone_number', null,  ['class' => 'form-control','placeholder'=>  trans("lang.clinic_phone_number_placeholder")]); ?>

            <div class="form-text text-muted">
                <?php echo e(trans("lang.clinic_phone_number_help")); ?>

            </div>
        </div>
    </div>
    <!-- Mobile Number Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('mobile_number', trans("lang.clinic_mobile_number"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::text('mobile_number', null,  ['class' => 'form-control','placeholder'=>  trans("lang.clinic_mobile_number_placeholder")]); ?>

            <div class="form-text text-muted">
                <?php echo e(trans("lang.clinic_mobile_number_help")); ?>

            </div>
        </div>
    </div>

    <!-- Address Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('address_id', trans("lang.clinic_address"),['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::select('address_id', $address, null, ['class' => 'select2 form-control']); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.clinic_address_help")); ?></div>
        </div>
    </div>

    <!-- Taxes Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('taxes[]', trans("lang.clinic_taxes"),['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::select('taxes[]', $tax, $taxesSelected, ['class' => 'select2 form-control' , 'multiple'=>'multiple']); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.clinic_taxes_help")); ?></div>
        </div>
    </div>

    <!-- Availability Range Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row ">
        <?php echo Form::label('availability_range', trans("lang.clinic_availability_range"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <div class="input-group">
                <?php echo Form::number('availability_range', null, ['class' => 'form-control','step'=>'any', 'min'=>'0', 'placeholder'=> trans("lang.clinic_availability_range_placeholder")]); ?>

                <div class="input-group-append">
                    <div class="input-group-text text-bold px-3"><?php echo e(trans("lang.app_setting_".setting('distance_unit','mi'))); ?></div>
                </div>
            </div>
            <div class="form-text text-muted">
                <?php echo e(trans("lang.clinic_availability_range_help")); ?>

            </div>
        </div>
    </div>

</div>
<?php if($customFields): ?>
    <div class="clearfix"></div>
    <div class="col-12 custom-field-container">
        <h5 class="col-12 pb-4"><?php echo trans('lang.custom_field_plural'); ?></h5>
        <?php echo $customFields; ?>

    </div>
<?php endif; ?>
<!-- Submit Field -->
<div class="form-group col-12 d-flex flex-column flex-md-row justify-content-md-end justify-content-sm-center border-top pt-4">
    <?php if(auth()->check() && auth()->user()->hasRole('admin')): ?>
    <div class="d-flex flex-row justify-content-between align-items-center">
        <?php echo Form::label('accepted', trans("lang.clinic_accepted"),['class' => 'control-label my-0 mx-3']); ?> <?php echo Form::hidden('accepted', 0, ['id'=>"hidden_accepted"]); ?>

        <span class="icheck-<?php echo e(setting('theme_color')); ?>">
            <?php echo Form::checkbox('accepted', 1, null); ?> <label for="accepted"></label> </span>
    </div>
    <?php endif; ?>
    <div class="d-flex flex-row justify-content-between align-items-center">
        <?php echo Form::label('available', trans("lang.clinic_available"),['class' => 'control-label my-0 mx-3']); ?> <?php echo Form::hidden('available', 0, ['id'=>"hidden_available"]); ?>

        <span class="icheck-<?php echo e(setting('theme_color')); ?>">
            <?php echo Form::checkbox('available', 1, null); ?> <label for="available"></label> </span>
    </div>
    <div class="d-flex flex-row justify-content-between align-items-center">
        <?php echo Form::label('featured', trans("lang.clinic_featured"),['class' => 'control-label my-0 mx-3']); ?> <?php echo Form::hidden('featured', 0, ['id'=>"hidden_featured"]); ?>

        <span class="icheck-<?php echo e(setting('theme_color')); ?>">
            <?php echo Form::checkbox('featured', 1, null); ?> <label for="featured"></label> </span>
    </div>
    <button type="submit" class="btn bg-<?php echo e(setting('theme_color')); ?> mx-md-3 my-lg-0 my-xl-0 my-md-0 my-2">
        <i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?> <?php echo e(trans('lang.clinic')); ?></button>
    <a href="<?php echo route('clinics.index'); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>
<?php /**PATH /home/business/public_html/resources/views/clinics/fields.blade.php ENDPATH**/ ?>