<?php if($customFields): ?>
<h5 class="col-12 pb-4"><?php echo trans('lang.main_fields'); ?></h5>
<?php endif; ?>
<div class="d-flex flex-column col-sm-12 col-md-6">
    <!-- Image Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('image', trans("lang.patient_image"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <div style="width: 100%" class="dropzone image" id="image" data-field="image">
            </div>
            <a href="#loadMediaModal" data-dropzone="image" data-toggle="modal" data-target="#mediaModal" class="btn btn-outline-<?php echo e(setting('theme_color','primary')); ?> btn-sm float-right mt-1"><?php echo e(trans('lang.media_select')); ?></a>
            <div class="form-text text-muted w-50">
                <?php echo e(trans("lang.patient_image_help")); ?>

            </div>
        </div>
    </div>
    <?php $__env->startPrepend('scripts'); ?>
        <script type="text/javascript">
            var var1666017496295880374ble = [];
            <?php if(isset($patient) && $patient->hasMedia('image')): ?>
            <?php $__currentLoopData = $patient->getMedia('image'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $media): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            var1666017496295880374ble.push({
                name: "<?php echo $media->name; ?>",
                size: "<?php echo $media->size; ?>",
                type: "<?php echo $media->mime_type; ?>",
                uuid: "<?php echo $media->getCustomProperty('uuid');; ?>",
                thumb: "<?php echo $media->getUrl('thumb');; ?>",
                collection_name: "<?php echo $media->collection_name; ?>"
            });
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            var dz_var1666017496295880374ble = $(".dropzone.image").dropzone({
                url: "<?php echo url('uploads/store'); ?>",
                addRemoveLinks: true,
                maxFiles: 5 - var1666017496295880374ble.length,
                init: function () {
                    <?php if(isset($patient) && $patient->hasMedia('image')): ?>
                    var1666017496295880374ble.forEach(media => {
                        dzInit(this, media, media.thumb);
                    });
                    <?php endif; ?>
                },
                accept: function (file, done) {
                    dzAccept(file, done, this.element, "<?php echo config('medialibrary.icons_folder'); ?>");
                },
                sending: function (file, xhr, formData) {
                    dzSendingMultiple(this, file, formData, '<?php echo csrf_token(); ?>');
                },
                complete: function (file) {
                    dzCompleteMultiple(this, file);
                    dz_var1666017496295880374ble[0].mockFile = file;
                },
                removedfile: function (file) {
                    dzRemoveFileMultiple(
                        file, var1666017496295880374ble, '<?php echo url("patients/remove-media"); ?>',
                        'image', '<?php echo isset($patient) ? $patient->id : 0; ?>', '<?php echo url("uploads/clear"); ?>', '<?php echo csrf_token(); ?>'
                    );
                }
            });
            dz_var1666017496295880374ble[0].mockFile = var1666017496295880374ble;
            dropzoneFields['image'] = dz_var1666017496295880374ble;
        </script>
    <?php $__env->stopPrepend(); ?>


<!-- User Id Field -->
<div class="form-group align-items-baseline d-flex flex-column flex-md-row">
  <?php echo Form::label('user_id', trans("lang.patient_user_id"),['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

  <div class="col-md-9">
    <?php echo Form::select('user_id', $user, null, ['class' => 'select2 form-control']); ?>

    <div class="form-text text-muted"><?php echo e(trans("lang.patient_user_id_help")); ?></div>
  </div>
</div>


<!-- First Name Field -->
<div class="form-group align-items-baseline d-flex flex-column flex-md-row">
  <?php echo Form::label('first_name', trans("lang.patient_first_name"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

  <div class="col-md-9">
    <?php echo Form::text('first_name', null,  ['class' => 'form-control','placeholder'=>  trans("lang.patient_first_name_placeholder")]); ?>

    <div class="form-text text-muted">
      <?php echo e(trans("lang.patient_first_name_help")); ?>

    </div>
  </div>
</div>


<!-- Last Name Field -->
<div class="form-group align-items-baseline d-flex flex-column flex-md-row">
  <?php echo Form::label('last_name', trans("lang.patient_last_name"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

  <div class="col-md-9">
    <?php echo Form::text('last_name', null,  ['class' => 'form-control','placeholder'=>  trans("lang.patient_last_name_placeholder")]); ?>

    <div class="form-text text-muted">
      <?php echo e(trans("lang.patient_last_name_help")); ?>

    </div>
  </div>
</div>































































<!-- Phone Number Field -->
<div class="form-group align-items-baseline d-flex flex-column flex-md-row">
  <?php echo Form::label('phone_number', trans("lang.patient_phone_number"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

  <div class="col-md-9">
    <?php echo Form::text('phone_number', null,  ['class' => 'form-control','placeholder'=>  trans("lang.patient_phone_number_placeholder")]); ?>

    <div class="form-text text-muted">
      <?php echo e(trans("lang.patient_phone_number_help")); ?>

    </div>
  </div>
</div>
    <!-- Mobile Number Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('mobile_number', trans("lang.patient_mobile_number"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::text('mobile_number', null,  ['class' => 'form-control','placeholder'=>  trans("lang.patient_mobile_number_placeholder")]); ?>

            <div class="form-text text-muted">
                <?php echo e(trans("lang.patient_mobile_number_help")); ?>

            </div>
        </div>
    </div>


    <!-- Age Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('age', trans("lang.patient_age"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::text('age', null,  ['class' => 'form-control','placeholder'=>  trans("lang.patient_age_placeholder")]); ?>

            <div class="form-text text-muted">
                <?php echo e(trans("lang.patient_age_help")); ?>

            </div>
        </div>
    </div>


    <!-- Gender Field -->

    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        <?php echo Form::label('gender', trans("lang.patient_gender"),['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::select('gender', ['male' => trans('lang.patient_male'),'fixed' => trans('lang.patient_female')], null, ['class' => 'select2 form-control']); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.patient_gender_help")); ?></div>
        </div>
    </div>

</div>
<div class="d-flex flex-column col-sm-12 col-md-6">


    <!-- Weight Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
      <?php echo Form::label('weight', trans("lang.patient_weight"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

      <div class="col-md-9">
        <?php echo Form::text('weight', null,  ['class' => 'form-control','placeholder'=>  trans("lang.patient_weight_placeholder")]); ?>

        <div class="form-text text-muted">
          <?php echo e(trans("lang.patient_weight_help")); ?>

        </div>
      </div>
    </div>


    <!-- Height Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
      <?php echo Form::label('height', trans("lang.patient_height"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

      <div class="col-md-9">
        <?php echo Form::text('height', null,  ['class' => 'form-control','placeholder'=>  trans("lang.patient_height_placeholder")]); ?>

        <div class="form-text text-muted">
          <?php echo e(trans("lang.patient_height_help")); ?>

        </div>
      </div>
    </div>
    <!-- Medical Historic Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row ">
        <?php echo Form::label('medical_history', trans("lang.patient_medical_history"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::textarea('medical_history', null, ['class' => 'form-control','placeholder'=>
             trans("lang.patient_medical_history_placeholder")  ]); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.patient_medical_history_help")); ?></div>
        </div>
    </div>


    <!-- Notes Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row ">
        <?php echo Form::label('notes', trans("lang.patient_notes"), ['class' => 'col-md-3 control-label text-md-right mx-1']); ?>

        <div class="col-md-9">
            <?php echo Form::textarea('notes', null, ['class' => 'form-control','placeholder'=>
             trans("lang.patient_notes_placeholder")  ]); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.patient_notes_help")); ?></div>
        </div>
    </div>

</div>

<?php if($customFields): ?>
<div class="clearfix"></div>
<div class="col-12 custom-field-container">
  <h5 class="col-12 pb-4"><?php echo trans('lang.custom_field_plural'); ?></h5>
  <?php echo $customFields; ?>

</div>
<?php endif; ?>
<!-- Submit Field -->
<div class="form-group col-12 d-flex flex-column flex-md-row justify-content-md-end justify-content-sm-center border-top pt-4">
  <button type="submit" class="btn bg-<?php echo e(setting('theme_color')); ?> mx-md-3 my-lg-0 my-xl-0 my-md-0 my-2" ><i class="fas fa-save"></i> <?php echo e(trans('lang.save')); ?> <?php echo e(trans('lang.patient')); ?></button>
  <a href="<?php echo route('patients.index'); ?>" class="btn btn-default"><i class="fas fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>
<?php /**PATH /home/business/public_html/resources/views/patients/fields.blade.php ENDPATH**/ ?>