

<?php $__env->startPush('css_lib'); ?>
    <!-- Use Tailwind CSS for a modern and minimal design -->
    <link rel="stylesheet" href="<?php echo e(asset('vendor/tailwindcss/tailwind.min.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="container mx-auto px-4 py-6">
    <div class="mb-4">
        <h1 class="text-2xl font-bold text-gray-900"><?php echo e(trans('lang.speciality_plural')); ?></h1>
        <p class="text-sm text-gray-600"><?php echo e(trans('lang.speciality_desc')); ?></p>
    </div>

    <nav aria-label="breadcrumb">
        <ol class="breadcrumb list-reset flex text-grey-dark">
            <li><a href="<?php echo e(url('/dashboard')); ?>" class="text-blue-600 hover:text-blue-700"><?php echo e(trans('lang.dashboard')); ?></a></li>
            <li><span class="mx-2">/</span></li>
            <li><a href="<?php echo e(route('specialities.index')); ?>" class="text-blue-600 hover:text-blue-700"><?php echo e(trans('lang.speciality_plural')); ?></a></li>
            <li><span class="mx-2">/</span></li>
            <li class="text-gray-500"><?php echo e(trans('lang.speciality_edit')); ?></li>
        </ol>
    </nav>


    <div class="bg-white shadow-md rounded-lg p-4 mt-6">
        <?php echo Form::model($speciality, ['route' => ['specialities.update', $speciality->id], 'method' => 'patch']); ?>

            <div class="grid grid-cols-1 gap-4">
                <?php echo $__env->make('specialities.fields', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div class="mt-4 flex justify-end">
                <button type="submit" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">
                    <?php echo e(trans('lang.save')); ?>

                </button>
            </div>
        <?php echo Form::close(); ?>

    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts_lib'); ?>
    <!-- Keep scripts minimal; use Alpine.js for interactivity if needed -->
    <script src="<?php echo e(asset('vendor/alpinejs/alpine.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/business/public_html/resources/views/specialities/edit.blade.php ENDPATH**/ ?>